#version 120

//varying float cameraDistance;
uniform sampler2D normalTex;	//normals from texture
#ifndef EXCLUDE_COLORS
	uniform sampler2D colorTex;	//colors from texture
#endif
//varying vec3 normal;
//varying vec4 orig_Position;
varying vec2 fTexCoords;
varying vec4 vertexNormal;
varying vec4 vertexColor;
//uniform vec3 camPos;
//uniform float scale;
//varying float vectorZ;
//varying float ivectorW;

void main()
{
	//float depth = vectorZ*ivectorW;			
	//float zPos = 0.5 * depth + 0.5;
	//gl_FragDepth = zPos;
	
	//normal combine;
	vec3 texNormal = texture2D(normalTex, fTexCoords).xyz;
	gl_FragData[0] = vec4(texNormal, 0.5);
	//gl_FragData[0] = vertexNormal;
	//gl_FragData[0] = vec4(normal, 0.5);
	#ifndef EXCLUDE_COLORS
		vec3 color = texture2D(colorTex, fTexCoords).rgb;
		gl_FragData[1] = vec4(color.r, color.g, color.b, 1.0);
		//gl_FragData[1] = vertexColor;
	#endif
	//gl_FragData[1] = vec4(gl_Color.xyz, 0.5);
}
